## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           rpi-imager
Version:        1.9.0
Release:        %autorelease
Summary:        Graphical user-interface to write disk images and format SD cards
License:        Apache-2.0
URL:            https://github.com/raspberrypi/rpi-imager
Source0:        %{URL}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/raspberrypi/rpi-imager/blob/v1.9.0/src/CMakeLists.txt#L235
ExcludeArch:    s390x

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  gnutls-devel

BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils

Provides:       bundled(xz) = 5.6.2
Provides:       bundled(zstd) = 1.5.6
Provides:       bundled(zlib) = 1.3.1
Provides:       bundled(libarchive) = 3.7.4
Provides:       bundled(curl) = 8.8.0

Requires:       hicolor-icon-theme
Requires:       dosfstools
Requires:       util-linux

# Needed if you want to be able to run rpi-imager as a regular user
Recommends:     udisks2

%description
Graphical user-interface to download and write Raspberry Pi disk images, or
write custom disk images and format SD cards.

%prep
%autosetup -p1

%build
pushd src
%cmake -GNinja \
    -DBUILD_SHARED_LIBS=OFF \
    -DENABLE_CHECK_VERSION=OFF \
    -DENABLE_TELEMETRY=OFF
%cmake_build

%install
install -pDm755 src/%{_vpath_builddir}/%{name} %{buildroot}%{_bindir}/%{name}
install -pDm644 src/linux/org.raspberrypi.rpi-imager.desktop \
    %{buildroot}%{_datadir}/applications/org.raspberrypi.%{name}.desktop
install -pDm644 debian/rpi-imager.png \
    %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -pDm644 debian/rpi-imager.metainfo.xml \
    %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%license license.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.raspberrypi.%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_metainfodir}/%{name}.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Mon Sep 30 2024 topazus <topazus@outlook.com> - 1.9.0-1
- rebase to 1.9.0

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 1.8.5-3
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jan 28 2024 K. de Jong <keesdejong@fedoraproject.org> - 1.8.5-1
- New upstream release

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 K. de Jong <keesdejong@fedoraproject.org> - 1.8.4-1
- New upstream release

* Fri Oct 20 2023 K. de Jong <keesdejong@fedoraproject.org> - 1.8.1-1
- New upstream release

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 23 2023 K. de Jong <keesdejong@fedoraproject.org> - 1.7.5-1
- New upstream release

* Sun Mar 19 2023 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 1.7.4-1
- rpi-imager version 1.7.4
- Telemery disabled
- Auto-update checker disabled
- autosetup patch param added in case of patches added
- 0001-fix-header-import-cstdint.patch added
- ExcludeArch s390x because upstream not supported

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 09 2022 K. de Jong <keesdejong@fedoraproject.org> - 1.7.3-1
- New upstream release

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 07 2022 K. de Jong <keesdejong@fedoraproject.org> - 1.7.2-1
- New upstream release

* Sat Feb 05 2022 K. de Jong <keesdejong@fedoraproject.org> - 1.7.1-1
- New upstream release

* Thu Feb 03 2022 K. de Jong <keesdejong@fedoraproject.org> - 1.7-1
- New upstream release

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.6.2-3
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 27 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6.2-1
- New upstream release

* Mon May 24 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6.1-2
- Updated runtime dependencies

* Thu Apr 08 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6.1-1
- New upstream release

* Fri Mar 19 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6-1
- First release
- Applied patch to fix custom disk image selection menu, for more info
please check: https://github.com/raspberrypi/rpi-imager/issues/159

## END: Generated by rpmautospec
